umbrello: Uml::CmdChangeVisualProperty Class Reference

umbrello 2.38.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdChangeVisualProperty Class Reference

`#include <cmdchangevisualproperty.h>`

Inheritance diagram for Uml::CmdChangeVisualProperty:

## Public Member Functions
| CmdChangeVisualProperty (ClassifierWidget *widget, ClassifierWidget::VisualProperty property, bool value)
| ~CmdChangeVisualProperty ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
ClassifierWidget::VisualProperty | m_property
bool | m_newValue
bool | m_oldValue

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdChangeVisualProperty()

Uml::CmdChangeVisualProperty::CmdChangeVisualProperty | ( | ClassifierWidget * | widget,
|  | ClassifierWidget::VisualProperty | property,
|  | bool | value
| ) |  |

## ◆ ~CmdChangeVisualProperty()

Uml::CmdChangeVisualProperty::~CmdChangeVisualProperty | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdChangeVisualProperty::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdChangeVisualProperty::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_newValue

bool Uml::CmdChangeVisualProperty::m_newValue
| private

## ◆ m_oldValue

bool Uml::CmdChangeVisualProperty::m_oldValue
| private

## ◆ m_property

ClassifierWidget::VisualProperty Uml::CmdChangeVisualProperty::m_property
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdchangevisualproperty.h
- umbrello/cmds/widget/cmdchangevisualproperty.cpp